
using UnityEngine;

public abstract class BonusEffect : ScriptableObject
{
    [Tooltip("Длительность бонуса в секундах")]
    public float duration = 10f;
    
    public abstract void Activate(GameObject player);
    public abstract void Deactivate(GameObject player);
}
